# Packmangroup: Libraries
# Packmanpackagename: live
# Packman: Manfred Tremmel

Name:           live
Summary:        Live.com librarys
Summary(de):    Live.com Bibliothek
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
URL:            http://www.live555.com/liveMedia/
Version:        2012.01.26
Release:        1.1
Source0:        live.%{version}.tar.bz2
Source1:        live-CHANGELOG
Patch0:         live-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%description
Live.com librarys (is needed to compile MPlayer and vlc)

%description -l de
Live.com Bibliothek (wird benötigt um MPlayer und vlc zu compilieren)


%package devel
Summary:        Live.com librarys Developer Package
Summary(de):    Live.com Bibliothek Entwicklerpaket
Group:          Development/Libraries/C and C++
Obsoletes:      live < %{version}-%{release}
Provides:       live = %{version}-%{release}

%description devel
Live.com librarys (is needed to compile MPlayer and vlc) Developer Package

%description devel -l de
Live.com Bibliothek (wird benötigt um MPlayer und vlc zu compilieren) Entwicklerpaket





%prep
%setup -q -n live
%patch0 -p1

%build

%ifarch  x86_64 amd64 ia32e
export RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fPIC"
%endif
export CFLAGS="${RPM_OPT_FLAGS}"

./genMakefiles linux
%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir %{buildroot}

cp %{SOURCE1} CHANGELOG
%{__install} -m 755 -d %{buildroot}/%{_libdir}/
%{__rm} -f win32config* Makefile* genWindowsMakefiles genMakefiles fix-makefile config*
%{__rm} -f testProgs/test.aac
find . -iname COPYING -exec %{__rm} -f {} \;
find . -iname "#*#" -exec %{__rm} -f {} \;
find . -iname "*~" -exec %{__rm} -f {} \;
find . -iname "~*" -exec %{__rm} -f {} \;
cd ..
cp -av live %{buildroot}/%{_libdir}/
cd live

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files devel
%defattr(-, root, root)
%doc CHANGELOG README
%{_libdir}/live

%changelog
* Fri Jan 27 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2012.01.26-0.pm.1
- update to current version 2012.01.26
* Tue Dec 27 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2011.12.23-0.pm.1
- update to current version 2011.12.23
* Wed Nov 23 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2011.11.20-0.pm.1
- update to current version 2011.11.20
* Thu Jun 23 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2011.06.16-0.pm.1
- update to current version 2011.06.16
* Sat May 28 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2011.05.25-0.pm.1
- update to current version 2011.05.25
* Sun Jan 16 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2011.01.10-0.pm.1
- update to current version 2011.01.10
* Sun Oct 03 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.09.25-0.pm.1
- update to current version 2010.09.25
* Wed Jun 16 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.06.16a-0.pm.1
- update to current version 2010.06.16a
* Fri May 28 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.05.28-0.pm.1
- update to current version 2010.05.28
* Sat Apr 03 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.04.01-0.pm.1
- update to current version 2010.04.01
* Sat Feb 06 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.02.06-0.pm.1
- update to current version 2010.01.22
* Thu Jan 07 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2010.01.07-0.pm.1
- update to current version 2010.01.07
* Fri Dec 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2009.11.27-0.pm.1
- update to current version 2009.11.27
* Sat Oct 03 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 2009.07.28-2.pm.0
- downgrade to 2009.07.28 because of problems with vlc
* Mon Sep 28 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2009.09.28-0.pm.1
- update to current version 2009.09.28
* Tue Sep 22 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2009.09.21-0.pm.1
- update to current version 2009.09.21
* Sat Sep 05 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 2009.09.04-0.pm.1
- update to current version 2009.09.04
* Thu Aug 27 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 2009.07.28-1.pm.1
- cleanups where rpmlint wasn't so happy
* Tue Jul 28 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.07.28
* Sat Jul 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.07.09
* Tue Jun 02 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.06.02
* Wed Apr 08 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.04.07
* Mon Feb 23 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.02.23
* Tue Jan 27 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2009.01.26
* Sat Dec 20 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.12.20
* Wed Nov 05 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.11.04
* Thu Sep 04 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.09.02
* Thu Aug 28 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.07.25
* Thu Jun 26 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.06.26
* Thu Apr 03 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.04.03
* Fri Jan 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2008.01.18
* Tue Jan 01 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2007.12.27
* Fri Nov 02 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2007.11.01
* Wed Jul 11 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2007.07.11
* Wed May 23 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2007.05.23
* Sat Dec 09 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.12.08
* Sun Oct 08 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.10.07
* Sat Aug 26 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.08.26
* Sat Jun 24 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.06.23
* Fri May 12 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.05.11
* Wed Jan 25 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2006.01.24
* Wed Dec 14 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.12.09
* Wed Sep 21 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.09.20
* Fri Jul 22 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.07.21
* Sat May 07 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.05.05
* Sun Apr 17 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.04.13
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2005.04.01
* Sat Oct 30 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to current version 2004.10.28a
* Fri Jun 04 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman headers
- update to current version 2004.06.03
* Sun May 02 2004 Henne Vogelsang <henne@links2linux.de>
- first build and release, Version 2004.05.02
